"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProjectCommands = void 0;
/**
 * Represents all command data for a TypeDoc project, keyed by module/project name.
 *
 * This is a map which refuses to add values that have no command data.
 *
 * The key is later used to lookup the `Reflection` in the TypeDoc project context.
 */
class ProjectCommands extends Map {
    set(moduleName, moduleCmds) {
        if (moduleCmds.hasData) {
            return super.set(moduleName, moduleCmds);
        }
        return this;
    }
    get isEmpty() {
        return this.size === 0;
    }
}
exports.ProjectCommands = ProjectCommands;
//# sourceMappingURL=project-commands.js.map